Skip to content

Get Bank Accounts

| View as Markdown

This API will return all the bank accounts to where the payouts are done. You can use the ‘Partner Bank ID’ instead of bank account details in payout requests.

get

http://kraken.airpay.co.in:8000/payout/partner/bank-accounts
ParameterType ValueDescriptionValue Like
Content-Type requiredStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/json
Authorization requiredStringThe token is a JSON Web Token (JWT) in this example, commonly used for bearer authentication.JIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NT
ParameterType ValueDescriptionValue Like
offset requiredNumericNumeric
limit requiredNumeric
(1-100)
Number of rows in response
ParameterType ValueDescriptionValue Like
status requiredAlphanumericsuccess / errorsuccess
message requiredAlphanumericResponse description
errors requiredArrayError messages if response status is ‘error’
data requiredArrayResponse data
id requiredNumericPartner bank id845
bank_name requiredAlphanumericBank name
bank_account_type requiredAlphanumericsavings / currentsavings
bank_account_number requiredNumericBank account number560002379836
bank_ifsc requiredAlphanumericBalance IFSC codeICIC0094354
GET 'partner/bank-accounts?offset=0&limit=25'
{
"status": "success",
"message": "Bank Accounts",
"data": [
{
"id": "845",
"bank_name": "ICICI",
"bank_account_type": "savings",
"bank_account_number": "560002379836",
"bank_ifsc": "ICIC0094354"
},
{
"id": "846",
"bank_name": "ICICI",
"bank_account_type": "savings",
"bank_account_number": "560002379835",
"bank_ifsc": "ICIC0094354"
}
]
}